Skip to main content
POST
Start a credit pack purchase

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request schema for starting a one-time credit pack purchase.

cancel_path
string
required

Partial path (e.g. /billing) of where the stripe Checkout session should redirect the user if payment is cancelled.

Required string length: 1 - 255
credits
integer
required

The number of credits to purchase.

Required range: 1 <= x <= 100000000
success_path
string
required

Partial path (e.g. /billing) of where the stripe Checkout session should redirect the user if payment is successful.

Required string length: 1 - 255

Response

Successful Response

Response schema for a started credit pack purchase.

checkout_url
string<uri>
required

The URL to redirect the customer to complete the payment.

Required string length: 1 - 2083